Awkward Array: ForthOutputBufferOf< OUT > Class Template Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ForthOutputBufferOf< OUT > Class Template Reference

`#include <ForthOutputBuffer.h>`

Inheritance diagram for ForthOutputBufferOf< OUT >:

## Public Member Functions
| ForthOutputBufferOf (int64_t initial, double resize)
void | dup (int64_t num_times, util::ForthError &err) noexcept override
| HERE. More...
const std::shared_ptr< void > | ptr () const noexcept override
| HERE. More...
const ContentPtr | toNumpyArray () const override
| HERE. More...
const Index8 | toIndex8 () const override
| HERE. More...
const IndexU8 | toIndexU8 () const override
| HERE. More...
const Index32 | toIndex32 () const override
| HERE. More...
const IndexU32 | toIndexU32 () const override
| HERE. More...
const Index64 | toIndex64 () const override
| HERE. More...
void | write_one_bool (bool value, bool byteswap) noexcept override
| HERE. More...
void | write_one_int8 (int8_t value, bool byteswap) noexcept override
| HERE. More...
void | write_one_int16 (int16_t value, bool byteswap) noexcept override
| HERE. More...
void | write_one_int32 (int32_t value, bool byteswap) noexcept override
| HERE. More...
void | write_one_int64 (int64_t value, bool byteswap) noexcept override
| HERE. More...
void | write_one_intp (ssize_t value, bool byteswap) noexcept override
| HERE. More...
void | write_one_uint8 (uint8_t value, bool byteswap) noexcept override
| HERE. More...
void | write_one_uint16 (uint16_t value, bool byteswap) noexcept override
| HERE. More...
void | write_one_uint32 (uint32_t value, bool byteswap) noexcept override
| HERE. More...
void | write_one_uint64 (uint64_t value, bool byteswap) noexcept override
| HERE. More...
void | write_one_uintp (size_t value, bool byteswap) noexcept override
| HERE. More...
void | write_one_float32 (float value, bool byteswap) noexcept override
| HERE. More...
void | write_one_float64 (double value, bool byteswap) noexcept override
| HERE. More...
void | write_one_string (char *string_buffer, int64_t length) noexcept override
| HERE. More...
void | write_bool (int64_t num_items, bool *values, bool byteswap) noexcept override
| HERE. More...
void | write_int8 (int64_t num_items, int8_t *values, bool byteswap) noexcept override
| HERE. More...
void | write_int16 (int64_t num_items, int16_t *values, bool byteswap) noexcept override
| HERE. More...
void | write_int32 (int64_t num_items, int32_t *values, bool byteswap) noexcept override
| HERE. More...
void | write_int64 (int64_t num_items, int64_t *values, bool byteswap) noexcept override
| HERE. More...
void | write_intp (int64_t num_items, ssize_t *values, bool byteswap) noexcept override
| HERE. More...
void | write_const_uint8 (int64_t num_items, const uint8_t *values) noexcept override
| HERE. More...
void | write_uint8 (int64_t num_items, uint8_t *values, bool byteswap) noexcept override
| HERE. More...
void | write_uint16 (int64_t num_items, uint16_t *values, bool byteswap) noexcept override
| HERE. More...
void | write_uint32 (int64_t num_items, uint32_t *values, bool byteswap) noexcept override
| HERE. More...
void | write_uint64 (int64_t num_items, uint64_t *values, bool byteswap) noexcept override
| HERE. More...
void | write_uintp (int64_t num_items, size_t *values, bool byteswap) noexcept override
| HERE. More...
void | write_float32 (int64_t num_items, float *values, bool byteswap) noexcept override
| HERE. More...
void | write_float64 (int64_t num_items, double *values, bool byteswap) noexcept override
| HERE. More...
void | write_add_int32 (int32_t value) noexcept override
| HERE. More...
void | write_add_int64 (int64_t value) noexcept override
| HERE. More...
Public Member Functions inherited from ForthOutputBuffer
| ForthOutputBuffer (int64_t initial, double resize)
virtual | ~ForthOutputBuffer ()
| Virtual destructor acts as a first non-inline virtual function that determines a specific translation unit in which vtable shall be emitted. More...
int64_t | len () const noexcept
| HERE. More...
void | rewind (int64_t num_items, util::ForthError &err) noexcept
| HERE. More...
void | reset () noexcept
| HERE. More...
virtual void | dup (int64_t num_times, util::ForthError &err) noexcept=0
| HERE. More...
virtual const std::shared_ptr< void > | ptr () const noexcept=0
| HERE. More...
virtual const ContentPtr | toNumpyArray () const =0
| HERE. More...
virtual const Index8 | toIndex8 () const =0
| HERE. More...
virtual const IndexU8 | toIndexU8 () const =0
| HERE. More...
virtual const Index32 | toIndex32 () const =0
| HERE. More...
virtual const IndexU32 | toIndexU32 () const =0
| HERE. More...
virtual const Index64 | toIndex64 () const =0
| HERE. More...
virtual void | write_one_bool (bool value, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_one_int8 (int8_t value, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_one_int16 (int16_t value, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_one_int32 (int32_t value, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_one_int64 (int64_t value, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_one_intp (ssize_t value, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_one_uint8 (uint8_t value, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_one_uint16 (uint16_t value, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_one_uint32 (uint32_t value, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_one_uint64 (uint64_t value, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_one_uintp (size_t value, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_one_float32 (float value, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_one_float64 (double value, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_one_string (char *string_buffer, int64_t length) noexcept=0
| HERE. More...
virtual void | write_bool (int64_t num_items, bool *values, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_int8 (int64_t num_items, int8_t *values, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_int16 (int64_t num_items, int16_t *values, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_int32 (int64_t num_items, int32_t *values, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_int64 (int64_t num_items, int64_t *values, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_intp (int64_t num_items, ssize_t *values, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_const_uint8 (int64_t num_items, const uint8_t *values) noexcept=0
| HERE. More...
virtual void | write_uint8 (int64_t num_items, uint8_t *values, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_uint16 (int64_t num_items, uint16_t *values, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_uint32 (int64_t num_items, uint32_t *values, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_uint64 (int64_t num_items, uint64_t *values, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_uintp (int64_t num_items, size_t *values, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_float32 (int64_t num_items, float *values, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_float64 (int64_t num_items, double *values, bool byteswap) noexcept=0
| HERE. More...
virtual void | write_add_int32 (int32_t value) noexcept=0
| HERE. More...
virtual void | write_add_int64 (int64_t value) noexcept=0
| HERE. More...

## Additional Inherited Members
Protected Attributes inherited from ForthOutputBuffer
int64_t | length_
int64_t | reserved_
double | resize_

## Constructor & Destructor Documentation

## ◆ ForthOutputBufferOf()

ForthOutputBufferOf | ( | int64_t | initial,
|  | double | resize
| ) |  |

## Member Function Documentation

## ◆ dup()

void dup | ( | int64_t | num_times,
|  | util::ForthError & | err
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ ptr()

const std::shared_ptr< void > ptr | ( |  | ) | const
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ toIndex32()

const Index32 toIndex32 | ( |  | ) | const
| overridevirtual

HERE.

Implements ForthOutputBuffer.

## ◆ toIndex64()

const Index64 toIndex64 | ( |  | ) | const
| overridevirtual

HERE.

Implements ForthOutputBuffer.

## ◆ toIndex8()

const Index8 toIndex8 | ( |  | ) | const
| overridevirtual

HERE.

Implements ForthOutputBuffer.

## ◆ toIndexU32()

const IndexU32 toIndexU32 | ( |  | ) | const
| overridevirtual

HERE.

Implements ForthOutputBuffer.

## ◆ toIndexU8()

const IndexU8 toIndexU8 | ( |  | ) | const
| overridevirtual

HERE.

Implements ForthOutputBuffer.

## ◆ toNumpyArray()

const ContentPtr toNumpyArray | ( |  | ) | const
| overridevirtual

HERE.

Implements ForthOutputBuffer.

## ◆ write_add_int32()

void write_add_int32 | ( | int32_t | value | ) |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_add_int64()

void write_add_int64 | ( | int64_t | value | ) |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_bool()

void write_bool | ( | int64_t | num_items,
|  | bool * | values,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_const_uint8()

void write_const_uint8 | ( | int64_t | num_items,
|  | const uint8_t * | values
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_float32()

void write_float32 | ( | int64_t | num_items,
|  | float * | values,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_float64()

void write_float64 | ( | int64_t | num_items,
|  | double * | values,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_int16()

void write_int16 | ( | int64_t | num_items,
|  | int16_t * | values,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_int32()

void write_int32 | ( | int64_t | num_items,
|  | int32_t * | values,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_int64()

void write_int64 | ( | int64_t | num_items,
|  | int64_t * | values,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_int8()

void write_int8 | ( | int64_t | num_items,
|  | int8_t * | values,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_intp()

void write_intp | ( | int64_t | num_items,
|  | ssize_t * | values,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_one_bool()

void write_one_bool | ( | bool | value,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_one_float32()

void write_one_float32 | ( | float | value,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_one_float64()

void write_one_float64 | ( | double | value,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_one_int16()

void write_one_int16 | ( | int16_t | value,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_one_int32()

void write_one_int32 | ( | int32_t | value,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_one_int64()

void write_one_int64 | ( | int64_t | value,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_one_int8()

void write_one_int8 | ( | int8_t | value,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_one_intp()

void write_one_intp | ( | ssize_t | value,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_one_string()

void write_one_string | ( | char * | string_buffer,
|  | int64_t | length
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_one_uint16()

void write_one_uint16 | ( | uint16_t | value,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_one_uint32()

void write_one_uint32 | ( | uint32_t | value,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_one_uint64()

void write_one_uint64 | ( | uint64_t | value,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_one_uint8()

void write_one_uint8 | ( | uint8_t | value,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_one_uintp()

void write_one_uintp | ( | size_t | value,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_uint16()

void write_uint16 | ( | int64_t | num_items,
|  | uint16_t * | values,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_uint32()

void write_uint32 | ( | int64_t | num_items,
|  | uint32_t * | values,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_uint64()

void write_uint64 | ( | int64_t | num_items,
|  | uint64_t * | values,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_uint8()

void write_uint8 | ( | int64_t | num_items,
|  | uint8_t * | values,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

## ◆ write_uintp()

void write_uintp | ( | int64_t | num_items,
|  | size_t * | values,
|  | bool | byteswap
| ) |  |
| overridevirtualnoexcept

HERE.

Implements ForthOutputBuffer.

The documentation for this class was generated from the following file:

- include/awkward/forth/ForthOutputBuffer.h